> For the complete documentation index, see [llms.txt](https://docs.tankandhealerstudio.com/assets/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tankandhealerstudio.com/assets/ultimatechatbox/documentation/ultimatechatbox/public-methods/findchatsofstyle.md).

# FindChatsOfStyle

{% code overflow="wrap" lineNumbers="true" fullWidth="true" %}

```csharp
using UnityEngine;
using TankAndHealerStudioAssets;

public class ChatBoxExample : MonoBehaviour
{
	// BE SURE TO ASSIGN THESE IN THE INSPECTOR //
	public UltimateChatBox chatBox;
	
	void Update ()
	{
		// If the space key was pressed this frame...
		if( Input.GetKeyDown( KeyCode.Space ) )
		{
			// Store an array with all the System Message chats.
			UltimateChatBox.ChatInformation[] chatsWithStyle = chatBox.FindChatsOfStyle( UltimateChatBoxStyles.systemMessage ).ToArray();

			// Loop through each chat in the array and remove all the system messages from the chat box.
			for( int i = 0; i < chatsFromUser.Length; i++ )
				chatsWithStyle[ i ].RemoveChat();
		}
	}
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tankandhealerstudio.com/assets/ultimatechatbox/documentation/ultimatechatbox/public-methods/findchatsofstyle.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
